local function getBasenameAndExtension(filename)
  return filename:match("^([^%.]*)%.?(.*)$") -- "myfile.lua" -> "myfile", "lua"
end

function ImageLoader(dir)
local temp = {}
local dir = dir or ""
local files = love.filesystem.getDirectoryItems( dir )
for k, file in ipairs(files) do
	local name, extension = getBasenameAndExtension(file)
	if extension == "png" then
		print("added " .. file)
		temp[name] = love.graphics.newImage(file)
	end
end
return temp
end
